> For the complete documentation index, see [llms.txt](https://docs.vulpefi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vulpefi.com/aggregation-protocol/limit-order-protocol/smart-contracts/helpers/seriesnoncemanager.md).

# SeriesNonceManager

A helper contract to manage nonce with the series

## Functions[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#functions) <a href="#functions" id="functions"></a>

### increaseNonce[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#increasenonce) <a href="#increasenonce" id="increasenonce"></a>

```javascript
function increaseNonce(
  uint8 series
) external
```

Advances nonce by one

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#parameters)

| Name     | Type  | Description |
| -------- | ----- | ----------- |
| `series` | uint8 |             |

### advanceNonce[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#advancenonce) <a href="#advancenonce" id="advancenonce"></a>

```javascript
function advanceNonce(
  uint8 series,
  uint8 amount
) public
```

Advances nonce by specified amount

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#parameters-1)

| Name     | Type  | Description |
| -------- | ----- | ----------- |
| `series` | uint8 |             |
| `amount` | uint8 |             |

### nonceEquals[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#nonceequals) <a href="#nonceequals" id="nonceequals"></a>

```javascript
function nonceEquals(
  uint8 series,
  address makerAddress,
  uint256 makerNonce
) external returns (bool)
```

Checks if `makerAddress` has specified `makerNonce` for `series`

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#parameters-2)

| Name           | Type    | Description |
| -------------- | ------- | ----------- |
| `series`       | uint8   |             |
| `makerAddress` | address |             |
| `makerNonce`   | uint256 |             |

**Return Values:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#return-values)

| Name     | Type | Description                                                  |
| -------- | ---- | ------------------------------------------------------------ |
| `Result` | bool | True if `makerAddress` has specified nonce. Otherwise, false |

## Events[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#events) <a href="#events" id="events"></a>

### NonceIncreased[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#nonceincreased) <a href="#nonceincreased" id="nonceincreased"></a>

```javascript
event NonceIncreased(
  address maker,
  uint8 series,
  uint256 newNonce
)
```

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/SeriesNonceManager#parameters-3)

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `maker`    | address |             |
| `series`   | uint8   |             |
| `newNonce` | uint256 |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vulpefi.com/aggregation-protocol/limit-order-protocol/smart-contracts/helpers/seriesnoncemanager.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
